function y = Conj_Trans(x);
%
%		y = Conj_Trans(x)
%
%  output parameter
%
%	y	: hermitian conjugate of a matrix = x^H
%
%	input parameter
%
%	x	: square matrix; or square array of size n1 x n2 x n3 x n4 x ...
%
%
% Copyright (c) Rik Pintelon, Vrije Universiteit Brussel - dept. ELEC, November 2009
% All rights reserved.
% Software can be used freely for non-commercial applications only.
%

% number of dimensions array
Dim_x = size(x);
NumberDim_x = length(Dim_x);

if NumberDim_x == 2
	y = x';
else
    y = permute(conj(x), [2,1,3:NumberDim_x]);
end % if matrix dimensions x = 2 
