function y = Mat_Trace(x);
%
%		y = Mat_Trace(x)
%
%  output parameter
%
%	y	=   trace of the first two dimensions of the matrix array x; 
%           y = trace(x)
%
%	input parameter
%
%	x	=   square matrix; or square array of size nx x nx x n1 x n2 x ...
%
%
% Copyright (c) Rik Pintelon, Vrije Universiteit Brussel - dept. ELEC, 30 November 2009
% All rights reserved.
% Software can be used freely for non-commercial applications only.
%

% number of dimensions array
Dim_x = size(x);
NumberDim_x = length(Dim_x);

if NumberDim_x == 2
	y = trace(x);
else
    nx = Dim_x(1);
    % nx x nx identity matrix with same array dimensions as x
    dummy = repmat(reshape(eye(nx,nx),[nx,nx,ones(size(Dim_x(3:end)))]),[1,1,Dim_x(3:end)]);
    y = sum(reshape(dummy.*x,[nx^2,Dim_x(3:end)]), 1);
end % if matrix dimensions x = 2 
