function y = herm(x);
%
%		y = herm(x)
%
%  output parameter
%
%	y	: hermitian part of a matrix = (x+x^H)/2
%
%	input parameter
%
%	x	: square matrix; or square array of size nx x nx x n1 x n2 x ...
%
%
% Copyright (c) Rik Pintelon, Vrije Universiteit Brussel - dept. ELEC, 2004
% All rights reserved.
% Software can be used freely for non-commercial applications only.
% Version November 2009
%

% number of dimensions array
Dim_x = size(x);
NumberDim_x = length(Dim_x);

if NumberDim_x == 2
	y = (x + x')/2;
else
    y = (x + Conj_Trans(x))/2;
end % if matrix dimensions x = 2 
