% Numerical Jacobian
delta = 1e-6;

% calculate plant model
A = polyval(fliplr(a0),s);
B = polyval(fliplr(b0),s);
if Transient == 1
	Ig = polyval(fliplr(ig0),s);
else
	Ig = [];
end;

% first Error
C1 = polyval(fliplr([1 c0(2)*(1-delta)]),q);
D = polyval(fliplr(d0),q);
if Transient == 1
	Jh = polyval(fliplr(jh0),q);
else
	Jh = [];
end;

Error1 = BJError(Y, U, A, B, Ig, C1, D, Jh, Transient, LogDet, DC, Nyquist);

% second error
C2 = polyval(fliplr([1 c0(2)*(1+delta)]),q);

Error2 = BJError(Y, U, A, B, Ig, C2, D, Jh, Transient, LogDet, DC, Nyquist);

Jacobnum = (Error2-Error1)/(2*delta*c0(2));

norm(Jacob-Jacobnum)/norm(Jacob)
