function TheOmegaMat = CalcMIMOBJOmegaMat(x, MaxOrder);
%
%		TheOmegaMat = CalcMIMOBJOmegaMat(x, MaxOrder)
%
%	Output parameters
%		TheOmegaMat	=	matrix of powers of x, dimension: number of frequencies x MaxOrder
%
%	Input parameters
%		x			=	vector of (jwk) or (zk^-1) values, dimension: number of frequencies x 1
%		MaxOrder	=	largest power of x to be calculated
%
%
% Copyright (c) Rik Pintelon, Vrije Universiteit Brussel - dept. ELEC, December 2004 
% All rights reserved.
% Software can be used freely for non-commercial applications only.
%

for ii = 0:MaxOrder
	TheOmegaMat(:,ii+1) = x.^ii;
end
