function TheOmegaMat = MIMO_ML_CalcOmegaMat(x, MaxOrder);
%
%		TheOmegaMat = MIMO_ML_CalcOmegaMat(x, MaxOrder)
%
%	Output parameters
%		TheOmegaMat	=	matrix of powers of x, size: F x MaxOrder
%
%	Input parameters
%		x			=	vector of (jwk), sqrt(jwk), or (zk^-1) values, size: F x 1
%		MaxOrder	=	largest power of x to be calculated
%
%
% Copyright (c) Rik Pintelon, Vrije Universiteit Brussel - dept. ELEC, November 2009
% All rights reserved.
% Software can be used freely for non-commercial applications only.
%

for ii = 0:MaxOrder
	TheOmegaMat(:,ii+1) = x.^ii;
end
